﻿@{
    ViewData["Title"] = "Home Page";
}

<script src="~/lib/jquery/dist/jquery.min.js"></script>
<script>
    let waitForResult = false;
    $("#switchMap").change(function () {
        if (!waitForResult) {
            waitForResult = true;
            console.log($(this));
            let map = $(this).prop("checked") ? "OpenStreetMap" : "GoogleMaps";
            $.ajax({
                url: "@ViewData["BaseURL"]" + "/api/map/defaultMap/" + map,
                type: 'POST',
                success: function (result) {
                    document.location.reload();
                },
                error: function (result) {
                    console.log(result);
                },
                complete: function () {
                    waitForResult = false;
                }
            });
        };
    });
</script>

<span>@ViewBag.map</span>

@{ 
    if (ViewBag.map == "GoogleMaps")
    {
        Html.RenderPartial("~/Views/Home/maps/googlemaps.cshtml");
    } else
    {
        
    }
}